------------------------------------------
---  Copyright HDRsoft - www.hdrsoft.com   
------------------------------------------

local LrApplication = import 'LrApplication'
local LrPathUtils = import 'LrPathUtils'
local LrErrors = import 'LrErrors'
local LrTasks = import 'LrTasks'
local prefs = import 'LrPrefs'.prefsForPlugin() 
local LrLogger = import 'LrLogger'

local myLogger = LrLogger('PhotomatixLogger')
myLogger:enable("print") 


CreateHdrUtils = {}


function CreateHdrUtils.GetRegAppPath ( )
	local appPath=LrPathUtils.child(_PLUGIN.path, "app")

	local clProgName="Merge32Utils"
	if (MAC_ENV) then
		clProgName="MergeToHDR"
	end

	appPath=LrPathUtils.child(appPath, clProgName)
	
	if (WIN_ENV) then
		appPath=LrPathUtils.addExtension(appPath, "exe")
	end
	
	return appPath
end


function CreateHdrUtils.Validate (licenseKey)

	local regOK=false
	
	local appPath=CreateHdrUtils.GetRegAppPath()

	if (appPath) then
		
		local CommandLine=string.format('\"%s\" -kv ', appPath)
		
		if (licenseKey~=nil) then
			myLogger:trace(string.format('License Key is:  %s', licenseKey))
			if (licenseKey~="") then
				CommandLine=string.format('%s %s',CommandLine, licenseKey)			
			end
		end

		myLogger:trace(string.format('command is  %s', CommandLine))
		
		local retour=-1

		myLogger:trace('Before LrTasks.execute')
			
---		LrTasks.startAsyncTask( function()
			retour=LrTasks.execute(CommandLine)
			
			myLogger:trace(string.format('After LrTasks.execute - retour is: %d', retour))
		
			if (retour==0) then
				regOK=true
			end
---		end)
	
	end
	
	return regOK

end


